Package Details: xml2rfc 3.18.0-1

Git Clone URL: https://aur.archlinux.org/xml2rfc.git (read-only, click to copy)
Package Base: xml2rfc
Description: Generates RFCs and IETF drafts from document source in XML according to the DTD in RFC 2629
Upstream URL: https://pypi.python.org/pypi/xml2rfc
Keywords: formatter generator IETF RFC XML
Licenses: custom:BSD
Submitter: felix.s
Maintainer: bidulock
Last Packager: bidulock
Votes: 5
Popularity: 0.000000
First Submitted: 2015-11-18 07:03 (UTC)
Last Updated: 2023-08-10 01:06 (UTC)

Latest Comments

jaudriga commented on 2021-10-20 10:05 (UTC)

Currently broken due to jinja2:

xml2rfc --text rfc/build/jmap.xml
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (Jinja2 3.0.2 (/usr/lib/python3.9/site-packages), Requirement.parse('jinja2<3.0,>=2.11'), {'xml2rfc'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/xml2rfc", line 33, in <module>
    sys.exit(load_entry_point('xml2rfc==3.10.0', 'console_scripts', 'xml2rfc')())
  File "/usr/bin/xml2rfc", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 972, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/xml2rfc/__init__.py", line 14, in <module>
    from xml2rfc.parser import  XmlRfcError, CachingResolver, XmlRfcParser, XmlRfc
  File "/usr/lib/python3.9/site-packages/xml2rfc/parser.py", line 20, in <module>
    from xml2rfc.writers import base
  File "/usr/lib/python3.9/site-packages/xml2rfc/writers/__init__.py", line 2, in <module>
    from xml2rfc.writers.base import RfcWriterError
  File "/usr/lib/python3.9/site-packages/xml2rfc/writers/base.py", line 14, in <module>
    import xml2rfc.util
  File "/usr/lib/python3.9/site-packages/xml2rfc/util/__init__.py", line 5, in <module>
    from xml2rfc.util import name, num, date, postal
  File "/usr/lib/python3.9/site-packages/xml2rfc/util/postal.py", line 7, in <module>
    import pycountry
  File "/usr/lib/python3.9/site-packages/pycountry/__init__.py", line 10, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'jinja2<3.0,>=2.11' distribution was not found and is required by xml2rfc

SamWhited commented on 2020-11-22 21:11 (UTC)

Also still missing python-pyaml and python-jinja2

twiggers commented on 2020-11-16 08:34 (UTC)

Seems to be missing python-configargparse

SamWhited commented on 2020-05-09 22:39 (UTC)

This also appears to be missing a dependency on python-six and panics on startup unless you install it

SamWhited commented on 2020-05-09 22:29 (UTC)

nit: python is part of the base system and does not need to be included as a dependency, running the linter against the built package will complain (it will also have several other complaints, but those are false positives because it doesn't understand Python dependencies).

SamWhited commented on 2020-04-24 05:20 (UTC)

Looks like python-html5lib is also missing and I missed it in my last comment.

SamWhited commented on 2020-04-21 23:48 (UTC)

This is missing dependencies for python-pyflakes, pytnon-pycountry, python-kitchen, python-intervaltree, and python-google-i18n-address

Rucikir commented on 2019-12-23 10:42 (UTC)

Probably missing a dependency.

Traceback (most recent call last):
  File "/usr/bin/xml2rfc", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3252, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pyflakes>=0.8.1' distribution was not found and is required by xml2rf

Rucikir commented on 2018-11-16 16:05 (UTC)

The website states that it's licensed under the OSI Approved :: BSD License. It is also indicated in the Debian package.

Check this file: xml2rfc/cli/LICENSE

felix.s commented on 2017-08-01 14:34 (UTC)

Hmm. Version 2.7.0 has been released, and it doesn't include any LICENSE file any more (other support files are missing from the source package as well). And I have no idea how to report this upstream; the Trac bug tracker is apparently only available to IETF members. I probably shouldn't just ignore it, but I don't know what I'm supposed to do now. Any ideas?